Project

General

Profile

Statistics
| Revision:

metacat @ 6479

Name Size Revision Age Author Comment
  bin 4810 about 12 years daigle moved file from metacat/bin to metacat/src/scri...
  docs 6473 over 9 years ben leinfelder explicitly require java 1.6
  lib 6479 over 9 years Matt Jones Add boolean field for synchronization status.
  src 6476 over 9 years Matt Jones Fix getCapabilities to properly throw ServiceFa...
  test 6452 over 9 years ben leinfelder test relationship assertion using obsoletes
LICENSE 17.7 KB 666 about 20 years Matt Jones Modified the license and copyright terms for ma...
README 29.7 KB 6231 over 9 years ben leinfelder include release notes from 1.9.5 branch (includ...
build.properties 2.76 KB 6439 over 9 years ben leinfelder remove unused/old D1 SCHEMA downloads and build...
build.sh 1.03 KB 670 about 20 years Matt Jones Updated build files with minor documentation ch...
build.xml 54 KB 6438 over 9 years ben leinfelder remove unused/old D1 SCHEMA downloads and build...
workflowscheduler.build.xml 16.3 KB 6053 almost 10 years ben leinfelder remove very old "metacat webservice" code - as ...
  • svn:ignore: build
  • svn:mergeinfo: /branches/D1_0_6_2_BRANCH:6107-6121

Latest revisions

# Date Author Comment
6479 09/20/2011 11:36 PM Matt Jones

Add boolean field for synchronization status.

6478 09/20/2011 11:03 PM Matt Jones

New default properties for dataone MN properties.

6477 09/20/2011 10:56 PM Matt Jones

A configuration section for DataONE Member Node properties.

6476 09/20/2011 10:20 PM Matt Jones

Fix getCapabilities to properly throw ServiceFailure when properties can not be read, rather than failing with a log message. Fix properties in the Node object to reflect their correct values. Set the sync schedule properly to default to 5 minute intervals. Improve documentation.

6475 09/20/2011 08:52 PM Matt Jones

Reformatted to correct indentation to make class readable.

6474 09/20/2011 02:32 PM ben leinfelder

newer d1 jars -- contains CN.isNodeAuthorized() method

6473 09/20/2011 02:12 PM ben leinfelder

explicitly require java 1.6

6472 09/20/2011 02:11 PM ben leinfelder

collect "message" param from multipart request for MN.synchronizationFailed method

6471 09/20/2011 02:08 PM Matt Jones

Reverting previous @Overrides chanrge from r6470, as that is the desired
behavior under Java 1.6 -- previous versions of Java (e.g., 1.5) will not
comile with this usage of the @Overrides annotation, but the currently
supported version will. So reverting to the 1.6 convention.

6470 09/20/2011 01:36 PM Matt Jones

Removing incorrect @Override annotations that were preventing compilation. The methods marked did not actually override a method in the superclass, so they were not compiling. I think @Overrides was being mistaken for methods that implement an interface but aren't actually in the superclass.

View all revisions | View revisions

Also available in: Atom